=== modified file 'bzrlib/btree_index.py'
--- bzrlib/btree_index.py	2009-08-17 22:08:21 +0000
+++ bzrlib/btree_index.py	2009-08-17 22:11:06 +0000
@@ -444,22 +444,6 @@
             return iterators[0]
         return self._iter_smallest(iterators)
 
-    def find_ancestry(self, keys, ref_list_num):
-        """See CombinedGraphIndex.find_ancestry()"""
-        pending = set(keys)
-        parent_map = {}
-        missing_keys = set()
-        while pending:
-            next_pending = set()
-            for _, key, value, ref_lists in self.iter_entries(pending):
-                parent_keys = ref_lists[ref_list_num]
-                parent_map[key] = parent_keys
-                next_pending.update([p for p in parent_keys if p not in
-                                     parent_map])
-                missing_keys.update(pending.difference(parent_map))
-            pending = next_pending
-        return parent_map, missing_keys
-
     def iter_entries(self, keys):
         """Iterate over keys within the index.
 

=== modified file 'bzrlib/index.py'
--- bzrlib/index.py	2009-08-13 19:56:26 +0000
+++ bzrlib/index.py	2009-08-17 22:11:06 +0000
@@ -333,6 +333,22 @@
         if combine_backing_indices is not None:
             self._combine_backing_indices = combine_backing_indices
 
+    def find_ancestry(self, keys, ref_list_num):
+        """See CombinedGraphIndex.find_ancestry()"""
+        pending = set(keys)
+        parent_map = {}
+        missing_keys = set()
+        while pending:
+            next_pending = set()
+            for _, key, value, ref_lists in self.iter_entries(pending):
+                parent_keys = ref_lists[ref_list_num]
+                parent_map[key] = parent_keys
+                next_pending.update([p for p in parent_keys if p not in
+                                     parent_map])
+                missing_keys.update(pending.difference(parent_map))
+            pending = next_pending
+        return parent_map, missing_keys
+
 
 class GraphIndex(object):
     """An index for data with embedded graphs.

